@charset "UTF-8";


.page-school .school-intro {
  padding: 0 1.6rem 6rem;
  overflow: hidden;
}
.page-school .school-intro__content {
  display: grid;
  grid-template-columns: 1fr;
  gap: 4rem;
}
.page-school .school-intro__heading {
  font-size: 2.4rem;
  font-weight: 700;
  line-height: 1.3;
  margin-bottom: 1.6rem;
}
.page-school .school-intro__description {
  font-size: 1.5rem;
  font-weight: 500;
}
.page-school .school-intro__description:not(:last-of-type) {
  margin-bottom: 1.6em;
}
.page-school .school-intro__image {
  filter: drop-shadow(var(--shadow1));
}
.page-school .school-intro__typography {
  margin-top: -1.8rem;
  margin-inline: calc(50% - 50vw);
  position: relative;
  z-index: -1;
}
@keyframes infinity-scroll-left {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}
.page-school .school-intro__typography__inner {
  display: flex;
  animation: infinity-scroll-left 12s infinite linear 0.5s both;
  gap: 5rem;
}
.page-school .school-intro__typography__text {
  white-space: nowrap;
  color: var(--colorText2);
  font-size: 6.4rem;
  font-family: var(--fontEn);
  font-weight: 700;
  line-height: 1;
}
.page-school .school-flow {
  background: linear-gradient(180deg, #ECEFF2 0%, #D0D8DF 100%);
  padding: 14rem 1.6rem 5.4rem;
  border-radius: 4rem 0 0 0;
  position: relative;
  z-index: 1;
  overflow: hidden;
}
.page-school .school-flow::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: url("/assets/img/school/flow-bg_sp.webp") no-repeat top center/100% auto;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}
.page-school .school-flow__inner {
  border-radius: 2.4rem;
  background: rgba(255, 255, 255, 0.8);
  padding: 6rem 1.6rem 8rem;
}
.page-school .school-flow__steps {
  margin-top: 4.5rem;
}
.page-school .school-flow__steps__item {
  border-bottom: 0.1rem solid var(--colorBorder4);
  padding-block: 1.5rem 2rem;
  display: grid;
  grid-template-columns: max-content 1fr;
  grid-template-rows: max-content max-content 1fr;
  gap: 0.2rem 1.6rem;
}
.page-school .school-flow__steps__item:first-child {
  padding-top: 0;
}
.page-school .school-flow__steps__label {
  width: 5rem;
  font-family: var(--fontEn);
  aspect-ratio: 1/1;
  background: var(--colorAreaSchool);
  color: #fff;
  border-radius: 50%;
  line-height: 1;
  font-weight: 500;
  font-size: 1.2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 0.3rem;
  grid-area: 1/1/3/2;
}
.page-school .school-flow__steps__label__number {
  font-size: 1.5rem;
  display: block;
}
.page-school .school-flow__steps__heading {
  font-size: 1.8rem;
  font-weight: 700;
  grid-area: 1/2/2/3;
}
.page-school .school-flow__steps__description {
  font-size: 1.5rem;
  font-weight: 500;
  grid-area: 2/2/3/3;
}
.page-school .school-comingsoon {
  text-align: center;
  margin-block: 4rem -1.8rem;
}
.page-school .school-comingsoon__heading {
  font-family: var(--fontEn);
  color: var(--colorBg4);
  font-size: 3rem;
  font-weight: 500;
  line-height: 1.6;
}
.page-school .school-comingsoon__description {
  font-size: 1.6rem;
  font-weight: 700;
  line-height: 1.6;
  margin-top: 0.8rem;
}
.page-school .school-reservation {
  background: var(--colorAreaUcsp_dark);
  border-radius: 0.8rem;
  padding: 3.2rem 2.4rem;
  text-align: center;
  display: grid;
  grid-template-columns: 1fr;
  gap: 1.5rem;
  width: min(100%, 31.1rem);
  margin-top: 4rem;
  margin-inline: auto;
}
.page-school .school-reservation__heading {
  color: #fff;
  font-family: var(--fontEn);
  font-size: 3.2rem;
  font-weight: 700;
  line-height: 1;
}
.page-school .school-reservation__description {
  color: #fff;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.6;
  margin-top: 0.7rem;
}
.page-school .school-reservation__button .m-primary-button {
  width: 100%;
  font-weight: 700;
  color: var(--colorAreaSchool);
  background: #fff;
  transition: 0.2s;
}
.page-school .school-reservation__button .m-primary-button::before {
  transition: 0.2s;
  background: currentColor;
}
.page-school .school-faq {
  margin-top: -3.2rem;
}
@media (min-width: 768px){
  .page-school .school-intro {
    padding: 0 var(--sidePaddingPc1) 8rem;
  }
  .page-school .school-intro__content {
    width: min(100%, 120.8rem);
    grid-template-columns: 1fr 41.721854%;
    justify-content: flex-end;
    gap: 9.271523%;
    margin-inline: auto;
  }
  .page-school .school-intro__text-area {
    width: min(100%, 50.4rem);
    justify-self: end;
  }
  .page-school .school-intro__heading {
    font-size: 3.2rem;
    line-height: 1.4;
    margin-bottom: 2rem;
  }
  .page-school .school-intro__description {
    font-size: 1.6rem;
  }
  .page-school .school-intro__typography {
    margin-top: -4rem;
  }
  .page-school .school-intro__typography__inner {
    gap: 10rem;
    animation-duration: 24s;
  }
  .page-school .school-intro__typography__text {
    font-size: 12rem;
  }
  .page-school .school-flow {
    border-radius: 8rem 0 0 0;
    padding: 12rem var(--sidePaddingPc1);
  }
  .page-school .school-flow::before {
    background: url("/assets/img/school/flow-bg.webp") no-repeat top center/cover;
  }
  .page-school:has(.school-faq) .school-flow {
    padding-bottom: 20.7rem;
  }
  .page-school .school-flow__inner {
    width: min(100%, 103.2rem);
    margin-inline: auto;
    padding: 7rem min((100% - 85.6rem) / 2, 8.8rem) 8rem;
  }
  .page-school .school-flow__steps__item {
    padding-block: 2rem 2.4rem;
  }
  .page-school .school-flow__steps__label {
    width: 6rem;
    font-size: 1.4rem;
    gap: 0.5rem;
  }
  .page-school .school-flow__steps__label__number {
    font-size: 1.8rem;
  }
  .page-school .school-flow__steps__heading {
    font-size: 2rem;
  }
  .page-school .school-flow__steps__description {
    font-size: 1.6rem;
  }
  .page-school .school-comingsoon {
    margin-block: 5rem 1rem;
  }
  .page-school .school-comingsoon__heading {
    font-size: 4rem;
  }
  .page-school .school-comingsoon__description {
    font-size: 1.8rem;
  }
  .page-school .school-reservation {
    width: min(100%, 85.2rem);
    margin-top: 4rem;
    border-radius: 1.6rem;
    text-align: left;
    grid-template-columns: max-content max-content;
    justify-content: space-between;
    padding: 4rem 6.4rem;
  }
  .page-school .school-reservation__heading {
    font-size: 4rem;
  }
  .page-school .school-reservation__description {
    font-size: 1.5rem;
  }
  .page-school .school-reservation__button .m-primary-button {
    width: 32.8rem;
    height: 7.2rem;
    font-size: 1.8rem;
    padding-inline: 2.8rem;
  }
  .page-school .school-reservation__button .m-primary-button::before {
    width: 2.4rem;
    right: 2rem;
    -webkit-mask-size: 1.6rem auto;
            mask-size: 1.6rem auto;
  }
  .page-school .school-faq {
    margin-top: -8.2rem;
  }
}
@media (any-hover: hover){
  .page-school .school-reservation__button .m-primary-button:hover {
    translate: 0.1rem 0.1rem;
    box-shadow: var(--shadow1);
  }
  .page-school .school-reservation__button .m-primary-button:hover::before {
    translate: 0.3rem -50%;
  }
}